# Class Commands.IsroCommand

java.lang.Object
org.apache.zookeeper.server.admin.CommandBase
org.apache.zookeeper.server.admin.GetCommand
org.apache.zookeeper.server.admin.Commands.IsroCommand

All Implemented Interfaces:
  `Command`

Enclosing class:
  `Commands`

public static class Commands.IsroCommand extends GetCommand
Is this server in read-only mode. Returned map contains: - "is_read_only": Boolean

## Constructor Summary

Constructors
Constructor
Description
`IsroCommand()`

## Method Summary

Modifier and Type
Method
Description
`CommandResponse`
`runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)`
Run this command for HTTP GET request.

### Methods inherited from class GetCommand

`runPost`

### Methods inherited from class CommandBase

`getAuthRequest, getNames, getPrimaryName, initializeResponse, isServerRequired`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IsroCommand

public IsroCommand()

## Method Details

### runGet

public CommandResponse runGet(ZooKeeperServer zkServer, Map<String,String> kwargs)
Description copied from interface: `Command`
Run this command for HTTP GET request. Commands take a ZooKeeperServer, String-valued keyword arguments and return a CommandResponse object containing any information constituting the response to the command. Commands are responsible for parsing keyword arguments and performing any error handling if necessary. Errors should be reported by setting the "error" entry of the returned map with an appropriate message rather than throwing an exception.

Parameters:
  `zkServer` - ZooKeeper server
  `kwargs` - keyword -> argument value mapping
Returns:
  CommandResponse representing response to command containing at minimum: - "command" key containing the command's primary name - "error" key containing a String error message or null if no error